Unit aeh5e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AEE1E_p, AFH5E_p, AFH5E1_p;

procedure aeh5e(N :Integer; NV :Integer;
                var A :Array of Extended; var EV :Array of Extended;
                var V :Array of Extended; var R :Array of Extended;
                var IERR :Integer);

implementation

procedure aeh5e(N :Integer; NV :Integer;
                var A :Array of Extended; var EV :Array of Extended;
                var V :Array of Extended; var R :Array of Extended;
                var IERR :Integer);
var
M :Integer;
begin
AFH5E(N,NV,A,R[0+1*N],R[0+0*N],R[0+2*N]);
AEE1E(N,R,EV,V,R[0+2*N],IERR);
if ( IERR =  0 ) 
 then M := N;
if ( IERR <>  0 ) 
 then M := IERR - 1;
AFH5E1(N,N,NV,A,M,V);
end;

end.
